# "AI艺速"项目策划书

- 姓名：黄骁逸
- 学号：202226701049
- 班级：22级大数据技术班
- 电话：19880018168

# 项目设想

>项目设想

- 行业：兴趣教育与技能培训领域
- 用户：对各类新鲜事物抱有三分钟热度、渴望快速入门体验的广大人群
- 功能：通过程序依据用户感兴趣的内容提供相应的浅显教学步骤及基础指导。

>项目的业务流程

- ***用户注册登录***：用户进入平台进行注册登录，完善个人基本信息及偏好设置（可选）。

- ***兴趣激发与输入***：用户在生活中产生兴趣点，如看到某种手工艺品、听到一首乐器演奏等，将相关描述或关键词输入到平台系统。

- ***需求分析与匹配***：系统对用户输入内容进行分析，提取关键信息，在教学资源库中匹配对应的浅显教学资料及步骤，包括文字说明、图片示例、简短视频等。

- ***教学推送***：将匹配到的教学内容推送给用户，按照预设顺序展示基础理论知识、所需工具材料、操作步骤分解等，支持用户随时暂停、回放、提问。

- ***实践辅助***：用户在跟随教学实践过程中，平台提供实时辅助，如常见问题解答、错误提示与纠正建议等。

- ***成果展示与分享***：用户完成初步学习实践后，可将成果在平台内展示分享，接收其他用户的点赞、评论，同时平台根据用户的学习反馈更新优化教学资源库，以便更好地服务后续有相同兴趣的用户。

>项目的商业模式

- 基础功能免费使用，吸引大量对新鲜事物有三分钟热度的用户注册，积累用户流量池。

- 推出高级会员服务，会员可享受无广告干扰、优先匹配更精准教学资源、专属客服指导、解锁更多复杂或热门兴趣领域的深度教学内容等特权，收取会员费用。

- 与相关兴趣产品供应商合作，如手工工具品牌、绘画材料商等，在平台上进行精准广告投放或联合推广活动，按广告投放效果或合作协议收取费用。

- 搭建兴趣社区电商平台，根据用户的兴趣偏好推荐相关产品，如乐器、手工材料包等，当用户通过平台购买商品时，平台获取销售分成。

- 开展线下兴趣体验活动或培训课程，与线下培训机构、工作室合作，用户可通过平台报名参加，平台收取一定比例的报名费用或组织费用。

- 收集用户兴趣数据及学习行为数据，进行数据脱敏后出售给市场调研机构、教育研究机构等，用于市场趋势分析、产品研发等用途，获取数据交易收入。

>相对可行的策略

#### 一、初期策略

1. **精准定位热门兴趣领域**：通过市场调研确定如手工 DIY、摄影、短视频制作、简单编程等热门且易于快速入门的兴趣领域，集中资源开发这些领域的优质浅显课程内容，以吸引目标用户的关注。
2. **免费体验课程引流**：为新注册用户提供一定数量（如 3 - 5 节）的免费体验课程，课程涵盖不同兴趣方向，让用户在体验过程中感受平台教学的魅力和实用性，同时设置分享激励机制，例如用户每成功分享课程给一位好友并使其注册，即可额外获得一节免费课程，借助用户社交网络快速传播平台知名度。
3. **与兴趣社群合作推广**：积极与线上线下的兴趣社群（如摄影爱好者群、手工制作社团等）建立合作关系，在社群内举办小型的课程分享会或技能挑战赛，提供平台专属的优惠福利（如课程折扣券、学习资料包等），吸引社群成员注册使用平台，并鼓励他们在社群内分享学习成果和体验，扩大品牌影响力。

#### 二、中期策略

1. **个性化学习路径优化**：基于用户在初期学习过程中的课程选择、学习进度、互动行为等数据，运用智能算法为用户构建更加个性化的学习路径推荐，精准推送符合用户兴趣深化需求和学习节奏的后续课程及学习资源，提高用户学习效率和满意度。
2. **丰富课程形式与互动功能**：在原有视频和图文课程基础上，增加直播互动课程、小组协作学习项目等形式，促进用户之间的交流互动和知识共享；同时在课程学习过程中设置更多的互动环节（如知识点问答、作业互评等），增强用户学习的参与感和趣味性。
3. **推出积分与奖励体系**：建立完善的积分制度，用户在学习课程、完成作业、参与互动、邀请好友等行为中均可获得相应积分，积分可用于兑换平台课程、学习工具、实物礼品或升级会员等级，通过积分激励机制提高用户的活跃度和忠诚度。

#### 三、长期策略

1. **拓展多元兴趣领域与专业课程**：随着平台用户规模和品牌影响力的不断扩大，逐步拓展到更广泛的兴趣领域，如音乐演奏、绘画艺术、运动健身等，并针对有深入学习需求的用户推出更具专业性和系统性的进阶课程，满足不同层次用户的多样化学习需求，进一步提升平台的市场竞争力。
2. **构建学习社交生态系统**：打造一个集学习交流、作品展示、技能交易、线下活动组织等多功能于一体的学习社交生态平台，用户不仅可以在平台上学习课程，还能与其他学员互动交流、组建学习小组、展示自己的学习成果和创意作品，甚至将自己的技能特长转化为商业价值（如提供付费教学服务、售卖手工制品等），全面增强用户粘性和平台的商业变现能力。
3. **战略合作与国际化布局**：积极与国内外知名的教育机构、培训机构、行业协会等建立战略合作伙伴关系，实现资源共享、优势互补，共同推动兴趣教育与技能培训行业的发展；同时，探索国际化市场拓展机会，将平台的成功经验和优质课程推广到全球其他地区，打造具有国际影响力的兴趣教育与技能培训品牌。  

>用AI为项目起个好名字

***<p align="center">“AI艺速”</p>***

# 一、项目背景
## 政策背景

>使用关键字：兴趣 教育 技能 及时学习

2021年，我国教育界迎来了全新的改革，旨在整体提升目前教育质量的同时，保证受教育者的德、智、体、美全面发展。7月，中共中央办公厅、国务院办公厅印发了《关于进一步减轻义务教育阶段学生作业负担和校外培训负担的意见》（“双减”政策）。“双减”揭开了教育新章程的第一章，规范了学校和培训机构的教学体制，释放了学生的学业压力，增加了学生的自由时间。

全球新经济产业第三方数据挖掘和分析机构iiMedia Research（艾媒咨询）发布的《2023年中国兴趣教育行业发展及学员洞察报告》数据显示，2013年至2023年中国兴趣教育行业市场规模稳步上升，预计2026年中国兴趣教育市场规模有望达3662亿元。

## 行业背景

>《2024-2030年中国兴趣教育行业市场发展监测及投资战略咨询报告》

![市场规模](../img/economic1.png)
![课程金额](../img/economic2.png)
![热门课程](../img/economic3.png)

# 市场痛点

- 教学质量参差不齐：
由于要满足大量不同兴趣领域且针对快速入门的浅显教学，难以保证每个课程的教师或教学内容创作者都具备足够的专业素养和教学经验，可能导致教学质量不稳定，部分课程无法给予用户清晰、准确且有效的指导。
- 学习专注度难以维持：用户三分钟热度的特性使得他们极易在学习过程中分心或放弃，而现有的教学模式和平台功能很难持续抓住用户的注意力，缺乏有效手段帮助用户克服自身的注意力缺陷，保持对学习内容的专注。
- 个性化推荐精准度低：尽管有程序依据用户兴趣提供教学内容，但在初始兴趣判断以及随着用户学习过程中的兴趣演变跟踪方面存在不足，导致个性化推荐的课程可能与用户真实需求存在偏差，不能持续精准地满足用户的兴趣变化。

# 二、产品定位
## 用户分析

- 用户
    - 学生
    - 上班族
    - 自由职业者 
    - 退休人员
- 商家
    - 兴趣产品供应商
    - 线下培训机构与工作室

## 主要功能

>一、兴趣测试与智能推荐

- 多元兴趣测试：以多种形式呈现涵盖多领域的测试题，挖掘用户潜在兴趣。
- 个性课程推荐：依测试及行为数据，智能推送适配课程并持续优化。

>二、课程学习功能

- 丰富课程资源：含多领域课程，内容编排循序渐进，有视频与图文资料。
- 视频便捷操控：流畅播放，多清晰度，可快进倒退等，有知识点标记跳转。
- 互动学习工具：视频中有问答测验，有笔记功能且支持共享交流。

>三、学习进度管理与反馈

- 进度跟踪呈现：自动记录学习轨迹，以可视化形式展示学习进展。
- 智能提醒助力：依计划进度提醒学习，防中断。
- 效果评估反馈：学后给出评估报告，点明优劣并给建议与后续荐。

## 市场买点

> 针对三分钟热度人群的定制化服务

- 快速入门体验：市场上大多数教育平台侧重于系统、深入的学习，而本项目专门为那些只有三分钟热度的用户设计。用户能够在短时间内获取对感兴趣事物的初步了解和基础技能，满足他们快速尝试新事物的心理需求。例如，一个对摄影有短暂兴趣的用户，可以在平台上通过简短的课程，快速学会基本的构图技巧和相机操作，拍出自己满意的照片，而不需要花费大量时间去学习复杂的摄影理论。

- 灵活的学习节奏：充分考虑到用户兴趣易变和时间碎片化的特点，课程设计以短小精悍的模块为主。用户可以根据自己的时间和兴趣随时开始或停止学习，无需担心被冗长的课程束缚。比如，一节烹饪课程可能只需要 10 - 15 分钟，用户可以在午休时间或者晚上闲暇时刻轻松学习一道新菜品的烹饪方法。

> 个性化的兴趣匹配与教学指导

- 精准的兴趣推荐：借助程序算法，通过分析用户的浏览历史、初始兴趣测试等数据，为用户精准推荐他们真正感兴趣的内容。与传统的通用课程推荐不同，这种个性化推荐能够大大提高用户发现自己心仪学习内容的概率。例如，当用户频繁浏览手工编织相关内容后，平台会持续推送编织技巧、不同编织材料介绍等更深入的编织课程。

- 因材施教的教学步骤：根据用户的学习进度和能力，提供相应的教学步骤。对于基础薄弱的用户，从最基本的概念和操作开始讲解；对于有一定基础的用户，则可以提供更具挑战性的内容。比如在编程入门课程中，对于没有任何编程经验的用户，先从简单的变量定义和基本运算开始教学；而对于有一定基础的用户，直接引导他们进行简单的小程序开发。

> 广泛的兴趣领域覆盖

- 丰富多样的课程选择：在兴趣教育与技能培训领域，涵盖了各种各样的热门和小众兴趣方向，如手工制作、乐器演奏、户外运动、数字艺术、语言学习等众多类别。用户几乎可以在平台上找到任何他们想要尝试的新鲜事物的教学内容，满足不同用户群体的多样化兴趣需求。就像一个用户既可以在平台上学习书法，又可以探索无人机驾驶的基础知识。

- 紧跟潮流的课程更新：为了保持用户的新鲜感，平台会不断更新课程内容，引入新的兴趣领域和热门技能。随着社会的发展和新的文化潮流出现，如新兴的电竞职业技能、虚拟现实内容创作等，都会及时在平台上推出相关课程，让用户始终能够接触到最前沿的兴趣和技能。

> 高效的学习辅助功能

- 智能学习提醒与进度跟踪：通过程序自动提醒用户继续学习未完成的课程，帮助他们克服三分钟热度带来的学习中断问题。同时，详细的学习进度跟踪功能让用户清楚自己在每个兴趣领域的学习情况，方便他们随时回顾和调整学习计划。例如，当用户在学习绘画课程中途暂停后，平台会定期提醒用户继续学习，并且用户可以查看自己已经完成了色彩理论部分，接下来可以学习构图技巧。

- 互动式学习社区：平台搭建的互动交流社区为用户提供了一个分享学习心得、展示学习成果、互相交流和鼓励的空间。用户在这里可以结交志同道合的朋友，共同探讨学习过程中的问题和乐趣，增强学习的动力和归属感。比如在乐器学习社区，用户可以分享自己的弹奏视频，互相评价和提供改进建议。

> 性价比高的学习投资

- 低成本尝试多种兴趣：与线下的兴趣班或者专业培训机构相比，本平台提供的课程价格相对较低，甚至部分基础课程可以免费体验。这使得用户可以用较少的成本尝试多种不同的兴趣，在找到真正热爱并愿意深入学习的领域之前，避免了高额的学习费用投入。例如，用户可以先在平台上免费试听几节瑜伽课程和普拉提课程，然后再决定是否要参加线下的专业培训。

- 增值服务潜力：除了基础的教学课程，平台还可能提供一些增值服务，如学习资料下载、与专业教师的一对一咨询等，这些服务在价格上也会具有竞争力，为用户提供高性价比的学习体验。以学习资料下载为例，用户可以以较低的价格购买详细的思维导图、学习笔记等资料，辅助自己更好地学习。

# 三、可行性分析
## 兴趣测试与智能推荐

- 测试场景：用户表达对绘画的兴趣
- 测试步骤：
    - 启动兴趣测试 AI 对话。
    - 用户输入 “我对绘画感兴趣”。
    - AI 回应询问绘画的具体类型（如素描、水彩、油画等）或者绘画的应用场景（如插画、漫画等）。
    - 用户选择 “水彩画”。
    - AI 提供水彩画的基础工具介绍（如画笔、颜料、画纸等）以及简单的入门调色技巧和基础绘画步骤（如起稿、上色顺序等）。
```plantuml
@startuml
participant 用户
participant AI
用户 -> AI : 我对绘画感兴趣
AI -> 用户 : 询问绘画具体类型或应用场景
用户 -> AI : 水彩画
AI -> 用户 : 水彩画基础工具介绍、入门调色技巧和基础绘画步骤
@enduml
```

## 课程学习功能

- 测试场景：用户有特定绘画风格偏好下的视频课程推荐
- 测试步骤：
    - 开启兴趣测试 AI 对话。
    - 用户输入 “我喜欢漫画风格的绘画，给我推荐相关视频课程”。
    - AI 推荐漫画人物造型基础课程、漫画场景绘制课程、日式漫画色彩运用课程等，并说明每个课程在漫画绘画技巧方面的侧重点，如人物造型课程侧重于人物比例、表情、肢体语言的绘画教学，场景绘制课程着重于透视原理在漫画场景中的应用等。
    - 用户选择漫画人物造型基础课程并询问是否有课程试听片段。
    - AI 提供该课程的一小段试听链接或视频片段的文字描述（如课程开头讲解人物头部比例的部分内容），并告知用户完整课程的观看方式和收费标准（如果有）。
```plantuml
@startuml
participant 用户
participant AI
用户 -> AI : 我喜欢漫画风格的绘画，给我推荐相关视频课程
AI -> 用户 : 推荐漫画课程并说明侧重点
用户 -> AI : 选择漫画人物造型基础课程并询问试听片段
AI -> 用户 : 提供试听链接或文字描述，告知观看方式和收费标准
@enduml
```

## 学习进度管理与反馈

- 测试场景：用户在学习视频课程过程中寻求学习进度建议
- 测试步骤：
    - 开始兴趣测试 AI 对话，假设用户已经开始学习之前推荐的素描基础入门课程一段时间。
    - 用户输入 “我在学素描基础课程，不知道自己进度怎么样，你能给点建议吗？”
    - AI 询问用户目前已经掌握的内容（如是否能熟练绘制线条、简单几何形体的绘制是否准确等）。
    - 用户回答已经能较好绘制线条和简单几何形体，但在明暗关系处理上有困难。
    - AI 建议用户回顾课程中关于明暗关系的章节，同时推荐一些额外的练习资源（如明暗关系练习的素描图册、在线练习小游戏等），并根据用户的学习进度提供下一步学习计划，如尝试绘制组合几何形体并注重明暗关系的表现。
```plantuml
@startuml
participant 用户
participant AI
用户 -> AI : 我在学素描基础课程，不知道自己进度怎么样，你能给点建议吗？
AI -> 用户 : 询问目前掌握内容
用户 -> AI : 回答掌握情况
AI -> 用户 : 建议回顾章节、推荐练习资源、提供下一步学习计划
@enduml
```

## 完整的测试用例

>一、用户角色设定

- 好奇小白：对很多领域都有兴趣，但缺乏深入了解的动力和方法。总是想尝试新事物，但容易因为遇到一点困难就放弃。
- 忙碌上班族：平时工作繁忙，没有太多时间去系统学习新技能，但又希望在业余时间能快速掌握一些有趣的技能来丰富生活。
- 学生党：对各种新鲜事物充满好奇，想要快速了解不同领域的知识和技能，为自己的学习和未来发展增加更多可能性。

>二、测试用例场景及对话

- 好奇小白尝试绘画
    - 用户：我一直对绘画很感兴趣，但不知道从哪里开始。
    - 程序：绘画是一个非常有趣的领域呢。首先，你可以准备一些基本的绘画工具，比如铅笔、橡皮和素描纸。然后，从简单的线条练习开始，比如画直线、曲线和圆形。接下来，可以尝试画一些简单的几何图形，如正方形、三角形和圆形的组合。在这个过程中，要注意线条的流畅性和比例的准确性哦。
    - 用户：听起来还挺简单的，但是我不知道怎么才能画得更好呢？
    - 程序：可以多观察身边的事物，提高自己的观察力。同时，也可以参考一些绘画教程，学习不同的绘画技巧和方法。比如，学习如何运用色彩、如何表现光影等。另外，多练习也是非常重要的，不断地尝试新的绘画主题和风格，逐渐提高自己的绘画水平。
- 忙碌上班族学习摄影
    - 用户：我平时工作太忙了，但是又很想学习摄影，有没有什么快速入门的方法呢？
    - 程序：摄影是个很棒的爱好呢。首先，了解一下你的相机基本功能，比如快门速度、光圈和感光度的作用。然后，可以从拍摄一些简单的主题开始，比如风景、人物或者宠物。在拍摄过程中，注意构图和光线的运用。比如，可以采用三分法构图，将画面分成九宫格，把主体放在四个交叉点上，这样可以让画面更加平衡和美观。同时，注意光线的方向和强度，选择合适的时间和地点进行拍摄，比如早晨或傍晚的柔和光线会让照片更加美丽。
    - 用户：那我怎么才能提高我的摄影技术呢？
    - 程序：可以多欣赏一些优秀的摄影作品，学习别人的构图、光线运用和后期处理方法。也可以参加一些摄影爱好者的交流活动，分享自己的作品和经验，从别人那里获得反馈和建议。此外，不断地练习和尝试新的拍摄技巧也是提高摄影技术的关键哦。
- 学生党探索编程
    - 用户：我对编程很感兴趣，但是不知道怎么入门。
    - 程序：编程是一项很有前途的技能呢。首先，你可以选择一种编程语言，比如 Python 或者 Java。然后，安装相应的编程环境，比如 Python 的 Anaconda 或者 Java 的 JDK。接下来，可以从一些简单的编程项目开始，比如打印 “Hello World”、计算两个数的和等。在这个过程中，学习编程语言的基本语法和数据类型。
    - 用户：感觉有点难啊，有没有什么更简单的方法呢？
    - 程序：可以参考一些在线编程教程，有很多免费的资源可以帮助你学习。同时，也可以加入一些编程社区，和其他编程爱好者交流和学习。另外，多做一些练习题和小项目，巩固所学的知识和技能。不要害怕犯错，从错误中学习也是提高编程能力的重要途径哦。

# 四、竞品分析
## 竞品范围

>在线学习平台

例如慕课网、网易云课堂等，这些平台提供了丰富的课程资源，涵盖了多个领域。它们的优势在于课程种类繁多，教学质量较高，并且有专业的教师团队进行授课。然而，对于那些渴望快速入门体验的用户来说，可能会觉得课程内容过于深入和复杂，不太适合初学者。

>兴趣班培训机构

线下的兴趣班培训机构通常会提供面对面的教学服务，能够更好地满足用户的个性化需求。但是，它们的课程安排可能不够灵活，而且费用相对较高。

>教育类移动应用

如英语学习类应用、绘画教学应用等，这些应用具有便捷性和互动性强的特点。用户可以随时随地进行学习，并且可以通过应用内的社交功能与其他学习者交流和分享经验。然而，它们的课程内容可能比较单一，无法满足用户对多种兴趣的需求。

## 竞品的功能和特点

>慕课网、网易云课堂等在线学习平台

- 课程资源：课程海量且跨多领域，内容系统深入，从基础到高级构建体系，像编程课程会从语法逐步拓展到复杂项目实战。
- 教学团队与质量：专业教师多，有高校、企业等背景，教学经验足。课程制作精良，含视频、文档、作业、答疑社区等，保障教学质量。
- 学习模式：以视频学习为主，可自主安排进度，部分有直播但时间较固定。有进度跟踪，还设考试与证书服务。

>兴趣班培训机构

- 教学服务：面对面教学，能个性化指导，依兴趣和群体细分课程，注重实践操作与技能训练。
- 课程安排与费用：课程安排固定，需按学期或课时包报名，按时到指定地点学习，灵活性差。因成本高费用贵，报名多需一次性大额缴费。

>教育类移动应用（如英语、绘画类）

- 便捷性与互动性：可碎片化学习，不受时空限。社交功能强，有社区和好友系统，方便用户交流心得、展示作品与互动。
- 课程内容：专注单一兴趣领域，如英语类围绕听说读写，绘画类侧重绘画技巧。虽形式多样有视频、图文、游戏等，但整体广度深度有限，难以满足多兴趣学习需求。

## 市场表现

>在线学习平台

- 用户规模：拥有庞大的用户群体，涵盖了不同年龄、职业和学习需求的人群。随着在线教育的普及，用户数量呈逐年增长趋势。
- 市场份额：在在线教育市场中占据重要地位，其中网易云课堂、慕课网等平台凭借其品牌知名度和丰富的课程资源，吸引了大量用户，市场份额相对较高.
- 营收情况：主要通过课程收费、广告收入、企业合作等方式实现盈利。一些热门的专业课程和职业培训课程收费较高，为平台带来了可观的收入。
- 发展趋势：不断拓展课程领域，增加与高校、企业的合作，提升课程质量和实用性。同时，加强技术研发，优化学习体验，如推出直播互动、智能学习系统等功能。

>兴趣班培训机构

- 用户规模：用户群体相对稳定，主要包括儿童、青少年和成人等不同年龄段的人群，他们对特定的兴趣爱好有深入学习的需求.
- 市场份额：市场较为分散，大型连锁培训机构和地方性培训机构并存。大型连锁机构凭借品牌优势和资源整合能力，在全国范围内占据一定市场份额，而地方性机构则在本地市场具有较高的知名度和影响力.
- 营收情况：收入主要来源于课程学费，不同类型的兴趣班收费差异较大，如艺术、体育类兴趣班的学费相对较高，而一些手工制作、文化类兴趣班的学费相对较低。
- 发展趋势：为了应对市场竞争，兴趣班培训机构不断创新教学模式，推出个性化课程和特色服务，满足用户多样化的需求。同时，加强线上线下融合，通过线上课程拓展市场覆盖范围，提升品牌知名度.

>教育类移动应用

- 用户规模：用户数量增长迅速，尤其是随着移动互联网的普及和智能手机的广泛应用，越来越多的人开始使用教育类移动应用进行学习。其中，英语学习类应用和绘画教学应用等受到了广大用户的喜爱。
- 市场份额：市场竞争激烈，各类教育类移动应用层出不穷。一些知名的应用凭借其优质的内容、良好的用户体验和强大的品牌推广，占据了较大的市场份额，但市场集中度相对较低。
- 营收情况：主要通过付费课程、会员制度、广告收入等方式实现盈利。部分应用还提供增值服务，如一对一辅导、学习计划定制等，以增加收入来源。
- 发展趋势：不断丰富课程内容，增加课程的多样性和趣味性。同时，加强社交功能的开发，提升用户之间的互动和交流，打造学习社区。此外，利用人工智能、大数据等技术，为用户提供个性化的学习推荐和辅导服务。

# 五、产品结构图

![产品结构图](../img/product-user.png)

# 六、信息结构图

![产品结构图](../img/massage.png)